Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5610 - Disk Druid cannot handle > 16 partitions on IDE device
Summary: Disk Druid cannot handle > 16 partitions on IDE device
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-06 00:24 UTC by erbenson
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-04-20 21:59:17 UTC


Attachments (Terms of Use)

Description erbenson 1999-10-06 00:24:15 UTC
During installation if the user chooses to partition with
disk druid they are only able to create 16 partitions the
17th partition will refuse to be allocated but the error is
`allocation successful'
If the user chooses to use fdisk to create the partitions
and creates > 16 partitions on an IDE disk then when the
installer runs disk druid to configure the mountpoints it
will fail with an error `unable to read partition table on
/dev/hda, not enough resources'
this bug prevents installation of Redhat GNU/Linux on a disk
with > 16 partitions.

The Linux kernel supports 63 partitions on IDE HDDs and so
all utilities in redhat linux should support that many
partitions as well.

I have installed redhat GNU/Linux by creating the first 16
partitions and installing then rebooting and using fdisk to
add the additional needed partitions.  after this it is
required to mknod the additional device files as redhat
GNU/Linux only includes /dev/hd?1 though /dev/hd?16 after
adding these partitions and ajusting /etc/fstab and moving
the appropirate files back to the preferred partitions
everything appears to function correctly, thus this appears
to be an entirely artificial limitation imposed by disk
druid and the lack of device files included in the dev
package.

note also that I tested Debian GNU/Linux and it has no
problems with either using nor installing on disks with > 16
partitions and there is additionly no need for the admin to
manually create the necessary device files.

Comment 1 Michael Fulbright 2000-02-24 16:15:59 UTC
Increasing this limit will be considered for future releases.

Comment 2 Michael Fulbright 2000-04-20 21:59:59 UTC
Limit increased to 64 partitions/drive.


Note You need to log in before you can comment on or make changes to this bug.